--------------------------------------------------------
--  Complete Oracle DB export: Neumann Antonn A14N0139P (KIV/DB2) 
--------------------------------------------------------
DROP TABLE "NEUMANN"."ATTACK" cascade constraints;
DROP TABLE "NEUMANN"."ATTACK_HAS_GROUP" cascade constraints;
DROP TABLE "NEUMANN"."ATTACK_HAS_PEOPLE" cascade constraints;
DROP TABLE "NEUMANN"."ATTACK_HAS_WEAPON" cascade constraints;
DROP TABLE "NEUMANN"."ATTACK_STATUS" cascade constraints;
DROP TABLE "NEUMANN"."COOPERATION" cascade constraints;
DROP TABLE "NEUMANN"."COUNTRY" cascade constraints;
DROP TABLE "NEUMANN"."EMAIL" cascade constraints;
DROP TABLE "NEUMANN"."GROUP_HAS_ENEMY" cascade constraints;
DROP TABLE "NEUMANN"."GROUP_HAS_WEAPON" cascade constraints;
DROP TABLE "NEUMANN"."PEOPLE" cascade constraints;
DROP TABLE "NEUMANN"."PEOPLE_HAS_CELL" cascade constraints;
DROP TABLE "NEUMANN"."PEOPLE_IDENTITY" cascade constraints;
DROP TABLE "NEUMANN"."PHONE" cascade constraints;
DROP TABLE "NEUMANN"."RELIGION" cascade constraints;
DROP TABLE "NEUMANN"."RELIGION_GROUP" cascade constraints;
DROP TABLE "NEUMANN"."TARGET" cascade constraints;
DROP TABLE "NEUMANN"."TER_CELL" cascade constraints;
DROP TABLE "NEUMANN"."TER_GROUP" cascade constraints;
DROP TABLE "NEUMANN"."TOWN" cascade constraints;
DROP TABLE "NEUMANN"."WEAPON" cascade constraints;
DROP SEQUENCE "NEUMANN"."ATTACK_SEQ";
DROP SEQUENCE "NEUMANN"."ATTACK_STATUS_SEQ";
DROP SEQUENCE "NEUMANN"."CELL_SEQ";
DROP SEQUENCE "NEUMANN"."COUNTRY_SEQ";
DROP SEQUENCE "NEUMANN"."GROUP_SEQ";
DROP SEQUENCE "NEUMANN"."IDENTITY_SEQ";
DROP SEQUENCE "NEUMANN"."PEOPLE_SEQ";
DROP SEQUENCE "NEUMANN"."RELIGION_GROUP_SEQ";
DROP SEQUENCE "NEUMANN"."RELIGION_SEQ";
DROP SEQUENCE "NEUMANN"."TARGET_SEQ";
DROP SEQUENCE "NEUMANN"."TOWN_SEQ";
DROP SEQUENCE "NEUMANN"."WEAPON_SEQ";
DROP VIEW "NEUMANN"."ALL_IDENTITIES";
DROP VIEW "NEUMANN"."ATTACK_VIEW";
DROP VIEW "NEUMANN"."GROUP_WEAPON_VIEW";
DROP VIEW "NEUMANN"."PEOPLE_CELL_NAME";
DROP FUNCTION "NEUMANN"." GET_GROUP_FROM_PEOPLE ";
DROP FUNCTION "NEUMANN"."GET_GROUP_FROM_PEOPLE";
DROP FUNCTION "NEUMANN"."HAS_ATTACK_GROUP";
DROP FUNCTION "NEUMANN"."HAS_GROUP_WEAPON";
DROP PROCEDURE "NEUMANN"."ADD_ATTACK_GROUP";
DROP PROCEDURE "NEUMANN"."ADD_ATTACK_GROUP_WEAPON";
DROP PROCEDURE "NEUMANN"."ADD_ATTACK_IDENTITY_WEAPON";
DROP PROCEDURE "NEUMANN"."ADD_ATTACK_PEOPLE_WEAPON";
DROP PROCEDURE "NEUMANN"."ADD_PEOPLE";
DROP PROCEDURE "NEUMANN"."ADD_WEAPON_GROUP";
--------------------------------------------------------
--  DDL for Sequence ATTACK_SEQ
--------------------------------------------------------

   CREATE SEQUENCE  "NEUMANN"."ATTACK_SEQ"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 41 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence ATTACK_STATUS_SEQ
--------------------------------------------------------

   CREATE SEQUENCE  "NEUMANN"."ATTACK_STATUS_SEQ"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence CELL_SEQ
--------------------------------------------------------

   CREATE SEQUENCE  "NEUMANN"."CELL_SEQ"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence COUNTRY_SEQ
--------------------------------------------------------

   CREATE SEQUENCE  "NEUMANN"."COUNTRY_SEQ"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence GROUP_SEQ
--------------------------------------------------------

   CREATE SEQUENCE  "NEUMANN"."GROUP_SEQ"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence IDENTITY_SEQ
--------------------------------------------------------

   CREATE SEQUENCE  "NEUMANN"."IDENTITY_SEQ"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 33 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence PEOPLE_SEQ
--------------------------------------------------------

   CREATE SEQUENCE  "NEUMANN"."PEOPLE_SEQ"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 28 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence RELIGION_GROUP_SEQ
--------------------------------------------------------

   CREATE SEQUENCE  "NEUMANN"."RELIGION_GROUP_SEQ"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence RELIGION_SEQ
--------------------------------------------------------

   CREATE SEQUENCE  "NEUMANN"."RELIGION_SEQ"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence TARGET_SEQ
--------------------------------------------------------

   CREATE SEQUENCE  "NEUMANN"."TARGET_SEQ"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence TOWN_SEQ
--------------------------------------------------------

   CREATE SEQUENCE  "NEUMANN"."TOWN_SEQ"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence WEAPON_SEQ
--------------------------------------------------------

   CREATE SEQUENCE  "NEUMANN"."WEAPON_SEQ"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Table ATTACK
--------------------------------------------------------

  CREATE TABLE "NEUMANN"."ATTACK" 
   (	"ID_TARGET" NUMBER, 
	"STATUS" VARCHAR2(45 BYTE), 
	"ATTACK_DATE" TIMESTAMP (0), 
	"ID_ATTACK" NUMBER(10,0), 
	"PEOPLE_KILLED" NUMBER, 
	"PEOPLE_INJURED" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Table ATTACK_HAS_GROUP
--------------------------------------------------------

  CREATE TABLE "NEUMANN"."ATTACK_HAS_GROUP" 
   (	"ID_ATTACK" NUMBER, 
	"ID_GROUP" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Table ATTACK_HAS_PEOPLE
--------------------------------------------------------

  CREATE TABLE "NEUMANN"."ATTACK_HAS_PEOPLE" 
   (	"ID_ATTACK" NUMBER, 
	"ID_PEOPLE" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Table ATTACK_HAS_WEAPON
--------------------------------------------------------

  CREATE TABLE "NEUMANN"."ATTACK_HAS_WEAPON" 
   (	"ID_ATTACK" NUMBER, 
	"ID_WEAPON" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Table ATTACK_STATUS
--------------------------------------------------------

  CREATE TABLE "NEUMANN"."ATTACK_STATUS" 
   (	"ID_ATTACK_STATUS" NUMBER, 
	"STATUS" VARCHAR2(50 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Table COOPERATION
--------------------------------------------------------

  CREATE TABLE "NEUMANN"."COOPERATION" 
   (	"GROUP1" NUMBER, 
	"GROUP2" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Table COUNTRY
--------------------------------------------------------

  CREATE TABLE "NEUMANN"."COUNTRY" 
   (	"ID_COUNTRY" NUMBER(10,0), 
	"NAME" VARCHAR2(45 BYTE), 
	"ISO" VARCHAR2(45 BYTE), 
	"PHONE_PREFIX" VARCHAR2(45 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Table EMAIL
--------------------------------------------------------

  CREATE TABLE "NEUMANN"."EMAIL" 
   (	"ID_IDENTITY" NUMBER(10,0), 
	"EMAIL" VARCHAR2(45 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Table GROUP_HAS_ENEMY
--------------------------------------------------------

  CREATE TABLE "NEUMANN"."GROUP_HAS_ENEMY" 
   (	"ID_GROUP" NUMBER(10,0), 
	"ID_COUNTRY" NUMBER(10,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Table GROUP_HAS_WEAPON
--------------------------------------------------------

  CREATE TABLE "NEUMANN"."GROUP_HAS_WEAPON" 
   (	"ID_GROUP" NUMBER(10,0), 
	"ID_WEAPON" NUMBER(10,0), 
	"EXPECTED_QUANTITY" NUMBER(10,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Table PEOPLE
--------------------------------------------------------

  CREATE TABLE "NEUMANN"."PEOPLE" 
   (	"ID_PEOPLE" NUMBER(10,0), 
	"HIGH" VARCHAR2(45 BYTE), 
	"EYES_COLOR" VARCHAR2(45 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Table PEOPLE_HAS_CELL
--------------------------------------------------------

  CREATE TABLE "NEUMANN"."PEOPLE_HAS_CELL" 
   (	"ID_PEOPLE" NUMBER(10,0), 
	"ID_CELL" NUMBER(10,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Table PEOPLE_IDENTITY
--------------------------------------------------------

  CREATE TABLE "NEUMANN"."PEOPLE_IDENTITY" 
   (	"ID_IDENTITY" NUMBER(10,0), 
	"ID_PEOPLE" NUMBER(10,0), 
	"FIRSTNAME" VARCHAR2(45 BYTE), 
	"SURNAME" VARCHAR2(45 BYTE), 
	"ID_COUNTRY" NUMBER(10,0), 
	"DESCRIPTION" VARCHAR2(45 BYTE), 
	"PRIME" NUMBER(3,0) DEFAULT 1
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Table PHONE
--------------------------------------------------------

  CREATE TABLE "NEUMANN"."PHONE" 
   (	"ID_IDENTITY" NUMBER(10,0), 
	"PHONE_NUMBER" VARCHAR2(45 BYTE), 
	"ID_COUNTRY" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Table RELIGION
--------------------------------------------------------

  CREATE TABLE "NEUMANN"."RELIGION" 
   (	"ID_RELIGION" NUMBER(10,0), 
	"NAME" VARCHAR2(45 BYTE), 
	"ID_RELIGION_GROUP" NUMBER(10,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Table RELIGION_GROUP
--------------------------------------------------------

  CREATE TABLE "NEUMANN"."RELIGION_GROUP" 
   (	"ID_RELIGION_GROUP" NUMBER(10,0), 
	"NAME" VARCHAR2(45 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Table TARGET
--------------------------------------------------------

  CREATE TABLE "NEUMANN"."TARGET" 
   (	"ID_TARGET" NUMBER(10,0), 
	"NAME_TARGET" VARCHAR2(45 BYTE), 
	"GPS_X" BINARY_DOUBLE, 
	"GPS_Y" BINARY_DOUBLE, 
	"EXISTING" NUMBER(3,0), 
	"CIVILIAN" CHAR(1 BYTE), 
	"STATIC" CHAR(1 BYTE), 
	"ID_TOWN" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Table TER_CELL
--------------------------------------------------------

  CREATE TABLE "NEUMANN"."TER_CELL" 
   (	"ID_CELL" NUMBER, 
	"CELL_NAME" VARCHAR2(50 BYTE), 
	"ID_TOWN" NUMBER, 
	"ID_GROUP" NUMBER, 
	"ID_LEADER" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Table TER_GROUP
--------------------------------------------------------

  CREATE TABLE "NEUMANN"."TER_GROUP" 
   (	"ID_GROUP" NUMBER(10,0), 
	"NAME" VARCHAR2(45 BYTE), 
	"ABBR" VARCHAR2(15 BYTE), 
	"ID_COUNTRY" NUMBER(10,0), 
	"ID_RELIGION" NUMBER(10,0), 
	"ID_LEADER" NUMBER, 
	"DANGEROUS" VARCHAR2(45 BYTE), 
	"STATUS" VARCHAR2(45 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Table TOWN
--------------------------------------------------------

  CREATE TABLE "NEUMANN"."TOWN" 
   (	"ID_TOWN" NUMBER, 
	"ORIG_NAME" VARCHAR2(50 BYTE), 
	"ENG_NAME" VARCHAR2(20 BYTE), 
	"CAPITAL" CHAR(1 BYTE), 
	"ID_COUNTRY" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Table WEAPON
--------------------------------------------------------

  CREATE TABLE "NEUMANN"."WEAPON" 
   (	"ID_WEAPON" NUMBER(10,0), 
	"NAME" VARCHAR2(45 BYTE), 
	"POWER" NUMBER(10,0), 
	"RANGE" NUMBER(10,0), 
	"ACCURACY" NUMBER(10,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for View ALL_IDENTITIES
--------------------------------------------------------

  CREATE OR REPLACE FORCE VIEW "NEUMANN"."ALL_IDENTITIES" ("ID_IDENTITY", "ID_PEOPLE", "FIRSTNAME", "SURNAME", "ID_COUNTRY", "DESCRIPTION", "PRIME", "HIGH", "EYES_COLOR") AS 
  SELECT 
    PEOPLE_IDENTITY."ID_IDENTITY",PEOPLE_IDENTITY."ID_PEOPLE",PEOPLE_IDENTITY."FIRSTNAME",PEOPLE_IDENTITY."SURNAME",PEOPLE_IDENTITY."ID_COUNTRY",PEOPLE_IDENTITY."DESCRIPTION",PEOPLE_IDENTITY."PRIME", PEOPLE.HIGH, PEOPLE.EYES_COLOR
FROM PEOPLE_IDENTITY 
RIGHT JOIN  PEOPLE ON PEOPLE_IDENTITY.ID_PEOPLE=PEOPLE.ID_PEOPLE
ORDER BY PEOPLE_IDENTITY."ID_PEOPLE";
--------------------------------------------------------
--  DDL for View ATTACK_VIEW
--------------------------------------------------------

  CREATE OR REPLACE FORCE VIEW "NEUMANN"."ATTACK_VIEW" ("ID_ATTACK", "NAME_TARGET", "STATUS", "ATTACK_DATE", "PEOPLE_KILLED", "PEOPLE_INJURED", "WEAPON", "GROUP NAME", "SURNAME") AS 
  SELECT 
    A."ID_ATTACK",tar.name_target,STAT."STATUS",A."ATTACK_DATE",A."PEOPLE_KILLED",A."PEOPLE_INJURED", w.name AS WEAPON, grp.name AS "GROUP NAME", pi.Surname
FROM ATTACK a

LEFT JOIN ATTACK_STATUS stat ON stat.id_attack_status=a.status
LEFT JOIN TARGET tar ON tar.id_target=a.id_target

JOIN attack_has_weapon ahw ON a.id_attack = ahw.id_attack
JOIN weapon w ON w.id_weapon = ahw.id_weapon

JOIN attack_has_group ahg ON a.id_attack = ahg.id_attack
JOIN ter_group grp ON grp.id_group = ahg.id_group

LEFT JOIN attack_has_people ahp ON a.id_attack = ahp.id_attack
LEFT JOIN people p ON p.id_people = ahp.id_people
LEFT JOIN people_identity pi ON pi.id_people=p.id_people

ORDER  by a.id_attack;
--------------------------------------------------------
--  DDL for View GROUP_WEAPON_VIEW
--------------------------------------------------------

  CREATE OR REPLACE FORCE VIEW "NEUMANN"."GROUP_WEAPON_VIEW" ("GROUP NAME", "WEAPON", "EXPECTED_QUANTITY") AS 
  SELECT 
    G.NAME AS "GROUP NAME",
    W.NAME AS WEAPON,
   GW."EXPECTED_QUANTITY"
FROM GROUP_HAS_WEAPON GW
LEFT JOIN WEAPON W ON GW.ID_WEAPON=W.ID_WEAPON
LEFT JOIN TER_GROUP G ON G.ID_GROUP=GW.ID_GROUP
ORDER BY G.NAME;
--------------------------------------------------------
--  DDL for View PEOPLE_CELL_NAME
--------------------------------------------------------

  CREATE OR REPLACE FORCE VIEW "NEUMANN"."PEOPLE_CELL_NAME" ("CELL NAME", "ID_PEOPLE", "FIRSTNAME", "SURNAME") AS 
  SELECT 
   C.CELL_NAME AS "CELL NAME", PC."ID_PEOPLE", PI.FIRSTNAME, PI.SURNAME
FROM PEOPLE_HAS_CELL PC
LEFT JOIN TER_CELL C ON PC.ID_CELL=C.ID_CELL
LEFT JOIN PEOPLE_IDENTITY PI ON PC.ID_PEOPLE=PI.ID_PEOPLE
WHERE PI.PRIME=1;
REM INSERTING into NEUMANN.ATTACK
SET DEFINE OFF;
Insert into NEUMANN.ATTACK (ID_TARGET,STATUS,ATTACK_DATE,ID_ATTACK,PEOPLE_KILLED,PEOPLE_INJURED) values ('3','2',to_timestamp('11.09.11 13:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),'1','12745','11265');
Insert into NEUMANN.ATTACK (ID_TARGET,STATUS,ATTACK_DATE,ID_ATTACK,PEOPLE_KILLED,PEOPLE_INJURED) values ('2','3',to_timestamp('11.09.11 13:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),'2','34','164');
Insert into NEUMANN.ATTACK (ID_TARGET,STATUS,ATTACK_DATE,ID_ATTACK,PEOPLE_KILLED,PEOPLE_INJURED) values ('1','1',to_timestamp('02.01.15 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),'3','0','0');
Insert into NEUMANN.ATTACK (ID_TARGET,STATUS,ATTACK_DATE,ID_ATTACK,PEOPLE_KILLED,PEOPLE_INJURED) values ('1','1',to_timestamp('11.09.11 13:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),'21','2','7');
Insert into NEUMANN.ATTACK (ID_TARGET,STATUS,ATTACK_DATE,ID_ATTACK,PEOPLE_KILLED,PEOPLE_INJURED) values ('1','1',to_timestamp('11.09.11 13:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),'22','2','7');
Insert into NEUMANN.ATTACK (ID_TARGET,STATUS,ATTACK_DATE,ID_ATTACK,PEOPLE_KILLED,PEOPLE_INJURED) values ('1','1',to_timestamp('11.09.11 13:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),'23','2','7');
Insert into NEUMANN.ATTACK (ID_TARGET,STATUS,ATTACK_DATE,ID_ATTACK,PEOPLE_KILLED,PEOPLE_INJURED) values ('1','1',to_timestamp('11.09.11 13:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),'24','2','7');
Insert into NEUMANN.ATTACK (ID_TARGET,STATUS,ATTACK_DATE,ID_ATTACK,PEOPLE_KILLED,PEOPLE_INJURED) values ('1','1',to_timestamp('11.09.11 13:00:00,000000000','DD.MM.RR HH24:MI:SS,FF'),'25','2','7');
REM INSERTING into NEUMANN.ATTACK_HAS_GROUP
SET DEFINE OFF;
Insert into NEUMANN.ATTACK_HAS_GROUP (ID_ATTACK,ID_GROUP) values ('1','1');
Insert into NEUMANN.ATTACK_HAS_GROUP (ID_ATTACK,ID_GROUP) values ('2','1');
Insert into NEUMANN.ATTACK_HAS_GROUP (ID_ATTACK,ID_GROUP) values ('1','4');
Insert into NEUMANN.ATTACK_HAS_GROUP (ID_ATTACK,ID_GROUP) values ('3','1');
Insert into NEUMANN.ATTACK_HAS_GROUP (ID_ATTACK,ID_GROUP) values ('21','1');
Insert into NEUMANN.ATTACK_HAS_GROUP (ID_ATTACK,ID_GROUP) values ('22','1');
REM INSERTING into NEUMANN.ATTACK_HAS_PEOPLE
SET DEFINE OFF;
Insert into NEUMANN.ATTACK_HAS_PEOPLE (ID_ATTACK,ID_PEOPLE) values ('21','13');
Insert into NEUMANN.ATTACK_HAS_PEOPLE (ID_ATTACK,ID_PEOPLE) values ('22','13');
Insert into NEUMANN.ATTACK_HAS_PEOPLE (ID_ATTACK,ID_PEOPLE) values ('22','13');
REM INSERTING into NEUMANN.ATTACK_HAS_WEAPON
SET DEFINE OFF;
Insert into NEUMANN.ATTACK_HAS_WEAPON (ID_ATTACK,ID_WEAPON) values ('1','10');
Insert into NEUMANN.ATTACK_HAS_WEAPON (ID_ATTACK,ID_WEAPON) values ('2','10');
Insert into NEUMANN.ATTACK_HAS_WEAPON (ID_ATTACK,ID_WEAPON) values ('3','3');
REM INSERTING into NEUMANN.ATTACK_STATUS
SET DEFINE OFF;
Insert into NEUMANN.ATTACK_STATUS (ID_ATTACK_STATUS,STATUS) values ('1','unrealized');
Insert into NEUMANN.ATTACK_STATUS (ID_ATTACK_STATUS,STATUS) values ('2','successful');
Insert into NEUMANN.ATTACK_STATUS (ID_ATTACK_STATUS,STATUS) values ('3','unsuccessful');
Insert into NEUMANN.ATTACK_STATUS (ID_ATTACK_STATUS,STATUS) values ('4','uncovered');
REM INSERTING into NEUMANN.COOPERATION
SET DEFINE OFF;
Insert into NEUMANN.COOPERATION (GROUP1,GROUP2) values ('1','5');
REM INSERTING into NEUMANN.COUNTRY
SET DEFINE OFF;
Insert into NEUMANN.COUNTRY (ID_COUNTRY,NAME,ISO,PHONE_PREFIX) values ('1','United States of America','usa','1');
Insert into NEUMANN.COUNTRY (ID_COUNTRY,NAME,ISO,PHONE_PREFIX) values ('2','Iraq','irq','964');
Insert into NEUMANN.COUNTRY (ID_COUNTRY,NAME,ISO,PHONE_PREFIX) values ('3','Ireland','irl','353');
Insert into NEUMANN.COUNTRY (ID_COUNTRY,NAME,ISO,PHONE_PREFIX) values ('4','Iran','irn','98');
Insert into NEUMANN.COUNTRY (ID_COUNTRY,NAME,ISO,PHONE_PREFIX) values ('5','Japan','jpn','81');
Insert into NEUMANN.COUNTRY (ID_COUNTRY,NAME,ISO,PHONE_PREFIX) values ('6','Israel','isr','972');
Insert into NEUMANN.COUNTRY (ID_COUNTRY,NAME,ISO,PHONE_PREFIX) values ('7','Canada','can','1');
Insert into NEUMANN.COUNTRY (ID_COUNTRY,NAME,ISO,PHONE_PREFIX) values ('8','United Kingdom','gbr','44');
Insert into NEUMANN.COUNTRY (ID_COUNTRY,NAME,ISO,PHONE_PREFIX) values ('9','Russia','rus','7');
REM INSERTING into NEUMANN.EMAIL
SET DEFINE OFF;
Insert into NEUMANN.EMAIL (ID_IDENTITY,EMAIL) values ('1','alhabar.mumbarack@mail.com');
Insert into NEUMANN.EMAIL (ID_IDENTITY,EMAIL) values ('3','r.osullivan@mail.ie');
Insert into NEUMANN.EMAIL (ID_IDENTITY,EMAIL) values ('2','Abd-Al-Malik1973@uymail.com');
Insert into NEUMANN.EMAIL (ID_IDENTITY,EMAIL) values ('4','r.sullivan@usa.com');
Insert into NEUMANN.EMAIL (ID_IDENTITY,EMAIL) values ('5','ishmael@mail.com');
Insert into NEUMANN.EMAIL (ID_IDENTITY,EMAIL) values ('5','maysarah729@gmail.com');
Insert into NEUMANN.EMAIL (ID_IDENTITY,EMAIL) values ('6','rjerayesh@mail.com');
Insert into NEUMANN.EMAIL (ID_IDENTITY,EMAIL) values ('8','JabbarSikandar@gmail.com');
Insert into NEUMANN.EMAIL (ID_IDENTITY,EMAIL) values ('8','warrior543@mail.com');
Insert into NEUMANN.EMAIL (ID_IDENTITY,EMAIL) values ('9','hadarI@yahoo.com');
Insert into NEUMANN.EMAIL (ID_IDENTITY,EMAIL) values ('10','hashimoto7@mail.yahoo.co.jp');
REM INSERTING into NEUMANN.GROUP_HAS_ENEMY
SET DEFINE OFF;
Insert into NEUMANN.GROUP_HAS_ENEMY (ID_GROUP,ID_COUNTRY) values ('1','1');
Insert into NEUMANN.GROUP_HAS_ENEMY (ID_GROUP,ID_COUNTRY) values ('2','3');
Insert into NEUMANN.GROUP_HAS_ENEMY (ID_GROUP,ID_COUNTRY) values ('4','7');
Insert into NEUMANN.GROUP_HAS_ENEMY (ID_GROUP,ID_COUNTRY) values ('4','8');
Insert into NEUMANN.GROUP_HAS_ENEMY (ID_GROUP,ID_COUNTRY) values ('5','1');
Insert into NEUMANN.GROUP_HAS_ENEMY (ID_GROUP,ID_COUNTRY) values ('5','8');
Insert into NEUMANN.GROUP_HAS_ENEMY (ID_GROUP,ID_COUNTRY) values ('6','2');
Insert into NEUMANN.GROUP_HAS_ENEMY (ID_GROUP,ID_COUNTRY) values ('6','4');
Insert into NEUMANN.GROUP_HAS_ENEMY (ID_GROUP,ID_COUNTRY) values ('7','1');
Insert into NEUMANN.GROUP_HAS_ENEMY (ID_GROUP,ID_COUNTRY) values ('8','5');
REM INSERTING into NEUMANN.GROUP_HAS_WEAPON
SET DEFINE OFF;
Insert into NEUMANN.GROUP_HAS_WEAPON (ID_GROUP,ID_WEAPON,EXPECTED_QUANTITY) values ('1','1','7');
Insert into NEUMANN.GROUP_HAS_WEAPON (ID_GROUP,ID_WEAPON,EXPECTED_QUANTITY) values ('2','1','12');
Insert into NEUMANN.GROUP_HAS_WEAPON (ID_GROUP,ID_WEAPON,EXPECTED_QUANTITY) values ('3','2','2');
Insert into NEUMANN.GROUP_HAS_WEAPON (ID_GROUP,ID_WEAPON,EXPECTED_QUANTITY) values ('4','5','6');
Insert into NEUMANN.GROUP_HAS_WEAPON (ID_GROUP,ID_WEAPON,EXPECTED_QUANTITY) values ('5','9','17');
Insert into NEUMANN.GROUP_HAS_WEAPON (ID_GROUP,ID_WEAPON,EXPECTED_QUANTITY) values ('6','6','3');
Insert into NEUMANN.GROUP_HAS_WEAPON (ID_GROUP,ID_WEAPON,EXPECTED_QUANTITY) values ('7','9','5');
Insert into NEUMANN.GROUP_HAS_WEAPON (ID_GROUP,ID_WEAPON,EXPECTED_QUANTITY) values ('8','5','8');
Insert into NEUMANN.GROUP_HAS_WEAPON (ID_GROUP,ID_WEAPON,EXPECTED_QUANTITY) values ('1','5','1');
Insert into NEUMANN.GROUP_HAS_WEAPON (ID_GROUP,ID_WEAPON,EXPECTED_QUANTITY) values ('3','6','6');
Insert into NEUMANN.GROUP_HAS_WEAPON (ID_GROUP,ID_WEAPON,EXPECTED_QUANTITY) values ('7','3','18');
Insert into NEUMANN.GROUP_HAS_WEAPON (ID_GROUP,ID_WEAPON,EXPECTED_QUANTITY) values ('2','4','7');
Insert into NEUMANN.GROUP_HAS_WEAPON (ID_GROUP,ID_WEAPON,EXPECTED_QUANTITY) values ('5','3','4');
Insert into NEUMANN.GROUP_HAS_WEAPON (ID_GROUP,ID_WEAPON,EXPECTED_QUANTITY) values ('3','8','2');
REM INSERTING into NEUMANN.PEOPLE
SET DEFINE OFF;
Insert into NEUMANN.PEOPLE (ID_PEOPLE,HIGH,EYES_COLOR) values ('1','171','brown');
Insert into NEUMANN.PEOPLE (ID_PEOPLE,HIGH,EYES_COLOR) values ('2','184','green');
Insert into NEUMANN.PEOPLE (ID_PEOPLE,HIGH,EYES_COLOR) values ('3','169','brown');
Insert into NEUMANN.PEOPLE (ID_PEOPLE,HIGH,EYES_COLOR) values ('4','193','blue');
Insert into NEUMANN.PEOPLE (ID_PEOPLE,HIGH,EYES_COLOR) values ('5','162','dark brown');
Insert into NEUMANN.PEOPLE (ID_PEOPLE,HIGH,EYES_COLOR) values ('6','164','blue');
Insert into NEUMANN.PEOPLE (ID_PEOPLE,HIGH,EYES_COLOR) values ('7','171','green yellow');
Insert into NEUMANN.PEOPLE (ID_PEOPLE,HIGH,EYES_COLOR) values ('8','179','dark brown');
Insert into NEUMANN.PEOPLE (ID_PEOPLE,HIGH,EYES_COLOR) values ('13','181','Brown');
Insert into NEUMANN.PEOPLE (ID_PEOPLE,HIGH,EYES_COLOR) values ('14','160','green');
REM INSERTING into NEUMANN.PEOPLE_HAS_CELL
SET DEFINE OFF;
Insert into NEUMANN.PEOPLE_HAS_CELL (ID_PEOPLE,ID_CELL) values ('1','1');
Insert into NEUMANN.PEOPLE_HAS_CELL (ID_PEOPLE,ID_CELL) values ('4','1');
Insert into NEUMANN.PEOPLE_HAS_CELL (ID_PEOPLE,ID_CELL) values ('6','1');
Insert into NEUMANN.PEOPLE_HAS_CELL (ID_PEOPLE,ID_CELL) values ('8','1');
Insert into NEUMANN.PEOPLE_HAS_CELL (ID_PEOPLE,ID_CELL) values ('13','1');
REM INSERTING into NEUMANN.PEOPLE_IDENTITY
SET DEFINE OFF;
Insert into NEUMANN.PEOPLE_IDENTITY (ID_IDENTITY,ID_PEOPLE,FIRSTNAME,SURNAME,ID_COUNTRY,DESCRIPTION,PRIME) values ('28','13','Tonda','Neumann','1',null,'1');
Insert into NEUMANN.PEOPLE_IDENTITY (ID_IDENTITY,ID_PEOPLE,FIRSTNAME,SURNAME,ID_COUNTRY,DESCRIPTION,PRIME) values ('1','1','Alhabar','Mumbarack','2',null,'1');
Insert into NEUMANN.PEOPLE_IDENTITY (ID_IDENTITY,ID_PEOPLE,FIRSTNAME,SURNAME,ID_COUNTRY,DESCRIPTION,PRIME) values ('2','1','Abd-Al-Malik','Ladin','2',null,'0');
Insert into NEUMANN.PEOPLE_IDENTITY (ID_IDENTITY,ID_PEOPLE,FIRSTNAME,SURNAME,ID_COUNTRY,DESCRIPTION,PRIME) values ('3','2','Reilly','O''Sullivan','3',null,'1');
Insert into NEUMANN.PEOPLE_IDENTITY (ID_IDENTITY,ID_PEOPLE,FIRSTNAME,SURNAME,ID_COUNTRY,DESCRIPTION,PRIME) values ('4','2','Raul','Sullivan','1',null,'0');
Insert into NEUMANN.PEOPLE_IDENTITY (ID_IDENTITY,ID_PEOPLE,FIRSTNAME,SURNAME,ID_COUNTRY,DESCRIPTION,PRIME) values ('5','3','Maysarah','Ishmael','4',null,'1');
Insert into NEUMANN.PEOPLE_IDENTITY (ID_IDENTITY,ID_PEOPLE,FIRSTNAME,SURNAME,ID_COUNTRY,DESCRIPTION,PRIME) values ('6','3','Rahamim','Jerayesh','6',null,'0');
Insert into NEUMANN.PEOPLE_IDENTITY (ID_IDENTITY,ID_PEOPLE,FIRSTNAME,SURNAME,ID_COUNTRY,DESCRIPTION,PRIME) values ('7','4','Abdur Rashid','Hassan','2',null,'1');
Insert into NEUMANN.PEOPLE_IDENTITY (ID_IDENTITY,ID_PEOPLE,FIRSTNAME,SURNAME,ID_COUNTRY,DESCRIPTION,PRIME) values ('8','4','Sikandar','Jabbar','4',null,'0');
Insert into NEUMANN.PEOPLE_IDENTITY (ID_IDENTITY,ID_PEOPLE,FIRSTNAME,SURNAME,ID_COUNTRY,DESCRIPTION,PRIME) values ('9','4','Issahar','Hadar','6',null,'0');
Insert into NEUMANN.PEOPLE_IDENTITY (ID_IDENTITY,ID_PEOPLE,FIRSTNAME,SURNAME,ID_COUNTRY,DESCRIPTION,PRIME) values ('10','5','Sadaharu','Hashimoto','5',null,'0');
Insert into NEUMANN.PEOPLE_IDENTITY (ID_IDENTITY,ID_PEOPLE,FIRSTNAME,SURNAME,ID_COUNTRY,DESCRIPTION,PRIME) values ('11','6','Masum','Amin','2',null,'1');
Insert into NEUMANN.PEOPLE_IDENTITY (ID_IDENTITY,ID_PEOPLE,FIRSTNAME,SURNAME,ID_COUNTRY,DESCRIPTION,PRIME) values ('12','7','Jaraah','Faraq','4',null,'1');
Insert into NEUMANN.PEOPLE_IDENTITY (ID_IDENTITY,ID_PEOPLE,FIRSTNAME,SURNAME,ID_COUNTRY,DESCRIPTION,PRIME) values ('13','8','Shazeb','Rashid','2',null,'1');
Insert into NEUMANN.PEOPLE_IDENTITY (ID_IDENTITY,ID_PEOPLE,FIRSTNAME,SURNAME,ID_COUNTRY,DESCRIPTION,PRIME) values ('29','14','Karel','Novk','1',null,'1');
REM INSERTING into NEUMANN.PHONE
SET DEFINE OFF;
Insert into NEUMANN.PHONE (ID_IDENTITY,PHONE_NUMBER,ID_COUNTRY) values ('1','603568965',null);
Insert into NEUMANN.PHONE (ID_IDENTITY,PHONE_NUMBER,ID_COUNTRY) values ('3','802456326',null);
Insert into NEUMANN.PHONE (ID_IDENTITY,PHONE_NUMBER,ID_COUNTRY) values ('6','546329815',null);
Insert into NEUMANN.PHONE (ID_IDENTITY,PHONE_NUMBER,ID_COUNTRY) values ('7','525235665',null);
Insert into NEUMANN.PHONE (ID_IDENTITY,PHONE_NUMBER,ID_COUNTRY) values ('7','569245879',null);
Insert into NEUMANN.PHONE (ID_IDENTITY,PHONE_NUMBER,ID_COUNTRY) values ('9','236589422',null);
REM INSERTING into NEUMANN.RELIGION
SET DEFINE OFF;
Insert into NEUMANN.RELIGION (ID_RELIGION,NAME,ID_RELIGION_GROUP) values ('1','Roman Catholic','1');
Insert into NEUMANN.RELIGION (ID_RELIGION,NAME,ID_RELIGION_GROUP) values ('2','Sunni Islam','2');
Insert into NEUMANN.RELIGION (ID_RELIGION,NAME,ID_RELIGION_GROUP) values ('3','Shia Islam','2');
Insert into NEUMANN.RELIGION (ID_RELIGION,NAME,ID_RELIGION_GROUP) values ('4','Sufism','2');
Insert into NEUMANN.RELIGION (ID_RELIGION,NAME,ID_RELIGION_GROUP) values ('5','Orthodox Judaism','4');
Insert into NEUMANN.RELIGION (ID_RELIGION,NAME,ID_RELIGION_GROUP) values ('6','Conservative Judaism','4');
Insert into NEUMANN.RELIGION (ID_RELIGION,NAME,ID_RELIGION_GROUP) values ('7','Protestantism','1');
Insert into NEUMANN.RELIGION (ID_RELIGION,NAME,ID_RELIGION_GROUP) values ('8','Orthodox Catholic Church','1');
Insert into NEUMANN.RELIGION (ID_RELIGION,NAME,ID_RELIGION_GROUP) values ('9','Mahayana','3');
Insert into NEUMANN.RELIGION (ID_RELIGION,NAME,ID_RELIGION_GROUP) values ('10','Druidry','5');
Insert into NEUMANN.RELIGION (ID_RELIGION,NAME,ID_RELIGION_GROUP) values ('11','Atheism','5');
Insert into NEUMANN.RELIGION (ID_RELIGION,NAME,ID_RELIGION_GROUP) values ('12','Unknown','5');
REM INSERTING into NEUMANN.RELIGION_GROUP
SET DEFINE OFF;
Insert into NEUMANN.RELIGION_GROUP (ID_RELIGION_GROUP,NAME) values ('1','Christianity');
Insert into NEUMANN.RELIGION_GROUP (ID_RELIGION_GROUP,NAME) values ('2','Islam');
Insert into NEUMANN.RELIGION_GROUP (ID_RELIGION_GROUP,NAME) values ('3','Buddhism');
Insert into NEUMANN.RELIGION_GROUP (ID_RELIGION_GROUP,NAME) values ('4','Judaism');
Insert into NEUMANN.RELIGION_GROUP (ID_RELIGION_GROUP,NAME) values ('5','Other');
REM INSERTING into NEUMANN.TARGET
SET DEFINE OFF;
Insert into NEUMANN.TARGET (ID_TARGET,NAME_TARGET,GPS_X,GPS_Y,EXISTING,CIVILIAN,STATIC,ID_TOWN) values ('1','White House','38,897701','77,036527','1','0','1','2');
Insert into NEUMANN.TARGET (ID_TARGET,NAME_TARGET,GPS_X,GPS_Y,EXISTING,CIVILIAN,STATIC,ID_TOWN) values ('2','Pentagon','38,87132','77,05607','1','0','1','2');
Insert into NEUMANN.TARGET (ID_TARGET,NAME_TARGET,GPS_X,GPS_Y,EXISTING,CIVILIAN,STATIC,ID_TOWN) values ('3','World Trade Center','40,711526','74,012328','0','1','1','3');
Insert into NEUMANN.TARGET (ID_TARGET,NAME_TARGET,GPS_X,GPS_Y,EXISTING,CIVILIAN,STATIC,ID_TOWN) values ('4','United States Capitol','49,767493','13,372512','1','0','1','2');
Insert into NEUMANN.TARGET (ID_TARGET,NAME_TARGET,GPS_X,GPS_Y,EXISTING,CIVILIAN,STATIC,ID_TOWN) values ('5','Buckingham Palace','51,501395','-0,141924','1','0','1','1');
REM INSERTING into NEUMANN.TER_CELL
SET DEFINE OFF;
Insert into NEUMANN.TER_CELL (ID_CELL,CELL_NAME,ID_TOWN,ID_GROUP,ID_LEADER) values ('1','Al-Qaeda Base','4','1','1');
REM INSERTING into NEUMANN.TER_GROUP
SET DEFINE OFF;
Insert into NEUMANN.TER_GROUP (ID_GROUP,NAME,ABBR,ID_COUNTRY,ID_RELIGION,ID_LEADER,DANGEROUS,STATUS) values ('1','Al-Qaeda',null,'2','3','1','9','active');
Insert into NEUMANN.TER_GROUP (ID_GROUP,NAME,ABBR,ID_COUNTRY,ID_RELIGION,ID_LEADER,DANGEROUS,STATUS) values ('2','Black Star',null,'8','11','0','6','active');
Insert into NEUMANN.TER_GROUP (ID_GROUP,NAME,ABBR,ID_COUNTRY,ID_RELIGION,ID_LEADER,DANGEROUS,STATUS) values ('3','Japanese Red Army','jra','5','12','5','7','active');
Insert into NEUMANN.TER_GROUP (ID_GROUP,NAME,ABBR,ID_COUNTRY,ID_RELIGION,ID_LEADER,DANGEROUS,STATUS) values ('4','Continuity Irish Republican Army','cira','3','10','2','3','active');
Insert into NEUMANN.TER_GROUP (ID_GROUP,NAME,ABBR,ID_COUNTRY,ID_RELIGION,ID_LEADER,DANGEROUS,STATUS) values ('5','Jayshullah',null,'4','4','4','4','destroyed');
Insert into NEUMANN.TER_GROUP (ID_GROUP,NAME,ABBR,ID_COUNTRY,ID_RELIGION,ID_LEADER,DANGEROUS,STATUS) values ('6','Jerusalem Warriors',null,'6','5','3','8','active');
Insert into NEUMANN.TER_GROUP (ID_GROUP,NAME,ABBR,ID_COUNTRY,ID_RELIGION,ID_LEADER,DANGEROUS,STATUS) values ('7','Red Brigades-Combatant Communist Party','br-pcc','9','11','0','7','asleep');
Insert into NEUMANN.TER_GROUP (ID_GROUP,NAME,ABBR,ID_COUNTRY,ID_RELIGION,ID_LEADER,DANGEROUS,STATUS) values ('8','Red Hand Defenders','rhd','9','12','0','4','asleep');
REM INSERTING into NEUMANN.TOWN
SET DEFINE OFF;
Insert into NEUMANN.TOWN (ID_TOWN,ORIG_NAME,ENG_NAME,CAPITAL,ID_COUNTRY) values ('1','London','London','1','8');
Insert into NEUMANN.TOWN (ID_TOWN,ORIG_NAME,ENG_NAME,CAPITAL,ID_COUNTRY) values ('2','Washington DC','Washington DC','1','1');
Insert into NEUMANN.TOWN (ID_TOWN,ORIG_NAME,ENG_NAME,CAPITAL,ID_COUNTRY) values ('3','New York City','New Your City','0','1');
Insert into NEUMANN.TOWN (ID_TOWN,ORIG_NAME,ENG_NAME,CAPITAL,ID_COUNTRY) values ('4','??????? ??????','Republic of Iraq','1','2');
REM INSERTING into NEUMANN.WEAPON
SET DEFINE OFF;
Insert into NEUMANN.WEAPON (ID_WEAPON,NAME,POWER,RANGE,ACCURACY) values ('1','Scud-A',null,'180','3000');
Insert into NEUMANN.WEAPON (ID_WEAPON,NAME,POWER,RANGE,ACCURACY) values ('2','Scud-B',null,'300','450');
Insert into NEUMANN.WEAPON (ID_WEAPON,NAME,POWER,RANGE,ACCURACY) values ('3','Scud-C',null,'550','700');
Insert into NEUMANN.WEAPON (ID_WEAPON,NAME,POWER,RANGE,ACCURACY) values ('4','Scud-D',null,'300','50');
Insert into NEUMANN.WEAPON (ID_WEAPON,NAME,POWER,RANGE,ACCURACY) values ('5','MGM-140A',null,'128','50');
Insert into NEUMANN.WEAPON (ID_WEAPON,NAME,POWER,RANGE,ACCURACY) values ('6','MGM-140B',null,'165','50');
Insert into NEUMANN.WEAPON (ID_WEAPON,NAME,POWER,RANGE,ACCURACY) values ('7','MGM-168 ATacMS',null,'300','50');
Insert into NEUMANN.WEAPON (ID_WEAPON,NAME,POWER,RANGE,ACCURACY) values ('8','LGM-118 Peacekeeper','4750','14000','40');
Insert into NEUMANN.WEAPON (ID_WEAPON,NAME,POWER,RANGE,ACCURACY) values ('9','R-36M SS-18 Satan','20000000','16000','220');
Insert into NEUMANN.WEAPON (ID_WEAPON,NAME,POWER,RANGE,ACCURACY) values ('10','airplane',null,null,null);
--------------------------------------------------------
--  DDL for Index FK_PEOPLE_HAS_GRP_IDX
--------------------------------------------------------

  CREATE INDEX "NEUMANN"."FK_PEOPLE_HAS_GRP_IDX" ON "NEUMANN"."PEOPLE_HAS_CELL" ("ID_CELL") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Index FK_GRP_HAS_WEAPON_GRP_IDX
--------------------------------------------------------

  CREATE INDEX "NEUMANN"."FK_GRP_HAS_WEAPON_GRP_IDX" ON "NEUMANN"."GROUP_HAS_WEAPON" ("ID_GROUP") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Index TER_CELL_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "NEUMANN"."TER_CELL_PK" ON "NEUMANN"."TER_CELL" ("ID_CELL") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Index FK_IDENTITY_IDX
--------------------------------------------------------

  CREATE INDEX "NEUMANN"."FK_IDENTITY_IDX" ON "NEUMANN"."EMAIL" ("ID_IDENTITY") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Index TARGET_IDX
--------------------------------------------------------

  CREATE INDEX "NEUMANN"."TARGET_IDX" ON "NEUMANN"."ATTACK" ("ID_TARGET") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Index FK_PEOPLE_IDX
--------------------------------------------------------

  CREATE INDEX "NEUMANN"."FK_PEOPLE_IDX" ON "NEUMANN"."PEOPLE_IDENTITY" ("ID_PEOPLE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Index FK_GROUP_RELIGION1_IDX
--------------------------------------------------------

  CREATE INDEX "NEUMANN"."FK_GROUP_RELIGION1_IDX" ON "NEUMANN"."TER_GROUP" ("ID_RELIGION") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Index FK_GRP_HAS_COUNTRY_IDX
--------------------------------------------------------

  CREATE INDEX "NEUMANN"."FK_GRP_HAS_COUNTRY_IDX" ON "NEUMANN"."GROUP_HAS_ENEMY" ("ID_COUNTRY") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Index FK_COUNTRY_IDX
--------------------------------------------------------

  CREATE INDEX "NEUMANN"."FK_COUNTRY_IDX" ON "NEUMANN"."TER_GROUP" ("ID_COUNTRY") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Index FK_GRP_HAS_WEAPON_IDX
--------------------------------------------------------

  CREATE INDEX "NEUMANN"."FK_GRP_HAS_WEAPON_IDX" ON "NEUMANN"."GROUP_HAS_WEAPON" ("ID_WEAPON") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Index FK_RELIGION_GROUP_IDX
--------------------------------------------------------

  CREATE INDEX "NEUMANN"."FK_RELIGION_GROUP_IDX" ON "NEUMANN"."RELIGION" ("ID_RELIGION_GROUP") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Index ATTACK_STATUS_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "NEUMANN"."ATTACK_STATUS_PK" ON "NEUMANN"."ATTACK_STATUS" ("ID_ATTACK_STATUS") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Index FK_PEOLE_IDX
--------------------------------------------------------

  CREATE INDEX "NEUMANN"."FK_PEOLE_IDX" ON "NEUMANN"."TER_GROUP" ("ID_LEADER") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  DDL for Index TONWN_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "NEUMANN"."TONWN_PK" ON "NEUMANN"."TOWN" ("ID_TOWN") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014" ;
--------------------------------------------------------
--  Constraints for Table TER_CELL
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."TER_CELL" ADD CONSTRAINT "TER_CELL_PK" PRIMARY KEY ("ID_CELL")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014"  ENABLE;
  ALTER TABLE "NEUMANN"."TER_CELL" MODIFY ("ID_CELL" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table GROUP_HAS_WEAPON
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."GROUP_HAS_WEAPON" ADD PRIMARY KEY ("ID_GROUP", "ID_WEAPON")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014"  ENABLE;
  ALTER TABLE "NEUMANN"."GROUP_HAS_WEAPON" MODIFY ("ID_WEAPON" NOT NULL ENABLE);
  ALTER TABLE "NEUMANN"."GROUP_HAS_WEAPON" MODIFY ("ID_GROUP" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table ATTACK_STATUS
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."ATTACK_STATUS" MODIFY ("STATUS" NOT NULL ENABLE);
  ALTER TABLE "NEUMANN"."ATTACK_STATUS" MODIFY ("ID_ATTACK_STATUS" NOT NULL ENABLE);
  ALTER TABLE "NEUMANN"."ATTACK_STATUS" ADD CONSTRAINT "ATTACK_STATUS_PK" PRIMARY KEY ("ID_ATTACK_STATUS")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014"  ENABLE;
--------------------------------------------------------
--  Constraints for Table TER_GROUP
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."TER_GROUP" MODIFY ("NAME" NOT NULL ENABLE);
  ALTER TABLE "NEUMANN"."TER_GROUP" MODIFY ("ID_GROUP" NOT NULL ENABLE);
  ALTER TABLE "NEUMANN"."TER_GROUP" ADD CONSTRAINT "GROUP_PK" PRIMARY KEY ("ID_GROUP")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014"  ENABLE;
--------------------------------------------------------
--  Constraints for Table TOWN
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."TOWN" ADD CONSTRAINT "TOWN_PK" PRIMARY KEY ("ID_TOWN")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014"  ENABLE;
  ALTER TABLE "NEUMANN"."TOWN" MODIFY ("ID_TOWN" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table PEOPLE_IDENTITY
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."PEOPLE_IDENTITY" MODIFY ("PRIME" NOT NULL ENABLE);
  ALTER TABLE "NEUMANN"."PEOPLE_IDENTITY" MODIFY ("ID_PEOPLE" NOT NULL ENABLE);
  ALTER TABLE "NEUMANN"."PEOPLE_IDENTITY" MODIFY ("ID_IDENTITY" NOT NULL ENABLE);
  ALTER TABLE "NEUMANN"."PEOPLE_IDENTITY" ADD CONSTRAINT "PEOPLE_IDENTITY_PK" PRIMARY KEY ("ID_IDENTITY")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014"  ENABLE;
--------------------------------------------------------
--  Constraints for Table ATTACK
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."ATTACK" MODIFY ("ID_ATTACK" NOT NULL ENABLE);
  ALTER TABLE "NEUMANN"."ATTACK" MODIFY ("ATTACK_DATE" NOT NULL ENABLE);
  ALTER TABLE "NEUMANN"."ATTACK" MODIFY ("STATUS" NOT NULL ENABLE);
  ALTER TABLE "NEUMANN"."ATTACK" ADD CONSTRAINT "ATTACK_PK" PRIMARY KEY ("ID_ATTACK")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014"  ENABLE;
--------------------------------------------------------
--  Constraints for Table COOPERATION
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."COOPERATION" MODIFY ("GROUP2" NOT NULL ENABLE);
  ALTER TABLE "NEUMANN"."COOPERATION" MODIFY ("GROUP1" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table RELIGION
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."RELIGION" MODIFY ("ID_RELIGION" NOT NULL ENABLE);
  ALTER TABLE "NEUMANN"."RELIGION" ADD CONSTRAINT "RELIGION_PK" PRIMARY KEY ("ID_RELIGION")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014"  ENABLE;
--------------------------------------------------------
--  Constraints for Table PEOPLE
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."PEOPLE" MODIFY ("ID_PEOPLE" NOT NULL ENABLE);
  ALTER TABLE "NEUMANN"."PEOPLE" ADD CONSTRAINT "PEOPLE_PK" PRIMARY KEY ("ID_PEOPLE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014"  ENABLE;
--------------------------------------------------------
--  Constraints for Table WEAPON
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."WEAPON" ADD CONSTRAINT "WEAPON_PK" PRIMARY KEY ("ID_WEAPON")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014"  ENABLE;
  ALTER TABLE "NEUMANN"."WEAPON" MODIFY ("NAME" NOT NULL ENABLE);
  ALTER TABLE "NEUMANN"."WEAPON" MODIFY ("ID_WEAPON" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table TARGET
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."TARGET" ADD CONSTRAINT "TARGET_ID" PRIMARY KEY ("ID_TARGET")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014"  ENABLE;
  ALTER TABLE "NEUMANN"."TARGET" MODIFY ("ID_TARGET" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table PEOPLE_HAS_CELL
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."PEOPLE_HAS_CELL" ADD PRIMARY KEY ("ID_PEOPLE", "ID_CELL")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014"  ENABLE;
  ALTER TABLE "NEUMANN"."PEOPLE_HAS_CELL" MODIFY ("ID_CELL" NOT NULL ENABLE);
  ALTER TABLE "NEUMANN"."PEOPLE_HAS_CELL" MODIFY ("ID_PEOPLE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table GROUP_HAS_ENEMY
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."GROUP_HAS_ENEMY" ADD PRIMARY KEY ("ID_GROUP", "ID_COUNTRY")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014"  ENABLE;
  ALTER TABLE "NEUMANN"."GROUP_HAS_ENEMY" MODIFY ("ID_COUNTRY" NOT NULL ENABLE);
  ALTER TABLE "NEUMANN"."GROUP_HAS_ENEMY" MODIFY ("ID_GROUP" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table COUNTRY
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."COUNTRY" MODIFY ("ID_COUNTRY" NOT NULL ENABLE);
  ALTER TABLE "NEUMANN"."COUNTRY" ADD CONSTRAINT "COUNTRY_PK" PRIMARY KEY ("ID_COUNTRY")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014"  ENABLE;
--------------------------------------------------------
--  Constraints for Table RELIGION_GROUP
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."RELIGION_GROUP" MODIFY ("ID_RELIGION_GROUP" NOT NULL ENABLE);
  ALTER TABLE "NEUMANN"."RELIGION_GROUP" ADD CONSTRAINT "RELIGION_GROUP_PK" PRIMARY KEY ("ID_RELIGION_GROUP")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "STUDENTS2014"  ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table ATTACK
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."ATTACK" ADD CONSTRAINT "ATTACK_STATUS_FK" FOREIGN KEY ("ID_TARGET")
	  REFERENCES "NEUMANN"."ATTACK_STATUS" ("ID_ATTACK_STATUS") ENABLE;
  ALTER TABLE "NEUMANN"."ATTACK" ADD CONSTRAINT "ATTACK_TARGET_FK" FOREIGN KEY ("ID_TARGET")
	  REFERENCES "NEUMANN"."TARGET" ("ID_TARGET") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table ATTACK_HAS_GROUP
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."ATTACK_HAS_GROUP" ADD CONSTRAINT "ATTACK_HAS_GROUP_ATTACK_FK" FOREIGN KEY ("ID_ATTACK")
	  REFERENCES "NEUMANN"."ATTACK" ("ID_ATTACK") ENABLE;
  ALTER TABLE "NEUMANN"."ATTACK_HAS_GROUP" ADD CONSTRAINT "ATTACK_HAS_GROUP_TER_GROUP_FK" FOREIGN KEY ("ID_GROUP")
	  REFERENCES "NEUMANN"."TER_GROUP" ("ID_GROUP") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table ATTACK_HAS_PEOPLE
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."ATTACK_HAS_PEOPLE" ADD CONSTRAINT "ATTACK_HAS_PEOPLE_ATTACK_FK1" FOREIGN KEY ("ID_ATTACK")
	  REFERENCES "NEUMANN"."ATTACK" ("ID_ATTACK") ENABLE;
  ALTER TABLE "NEUMANN"."ATTACK_HAS_PEOPLE" ADD CONSTRAINT "ATTACK_HAS_PEOPLE_PEOPLE_FK1" FOREIGN KEY ("ID_PEOPLE")
	  REFERENCES "NEUMANN"."PEOPLE" ("ID_PEOPLE") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table ATTACK_HAS_WEAPON
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."ATTACK_HAS_WEAPON" ADD CONSTRAINT "ATTACK_HAS_WEAPON_ATTACK_FK1" FOREIGN KEY ("ID_ATTACK")
	  REFERENCES "NEUMANN"."ATTACK" ("ID_ATTACK") ENABLE;
  ALTER TABLE "NEUMANN"."ATTACK_HAS_WEAPON" ADD CONSTRAINT "ATTACK_HAS_WEAPON_WEAPON_FK1" FOREIGN KEY ("ID_WEAPON")
	  REFERENCES "NEUMANN"."WEAPON" ("ID_WEAPON") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table COOPERATION
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."COOPERATION" ADD CONSTRAINT "COOPERATION_TER_GROUP_FK1" FOREIGN KEY ("GROUP1")
	  REFERENCES "NEUMANN"."TER_GROUP" ("ID_GROUP") ENABLE;
  ALTER TABLE "NEUMANN"."COOPERATION" ADD CONSTRAINT "COOPERATION_TER_GROUP_FK2" FOREIGN KEY ("GROUP2")
	  REFERENCES "NEUMANN"."TER_GROUP" ("ID_GROUP") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table EMAIL
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."EMAIL" ADD CONSTRAINT "EMAIL_PEOPLE_IDENTITY_FK1" FOREIGN KEY ("ID_IDENTITY")
	  REFERENCES "NEUMANN"."PEOPLE_IDENTITY" ("ID_IDENTITY") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table GROUP_HAS_ENEMY
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."GROUP_HAS_ENEMY" ADD CONSTRAINT "GROUP_HAS_ENEMY_COUNTRY_FK1" FOREIGN KEY ("ID_COUNTRY")
	  REFERENCES "NEUMANN"."COUNTRY" ("ID_COUNTRY") ENABLE;
  ALTER TABLE "NEUMANN"."GROUP_HAS_ENEMY" ADD CONSTRAINT "GROUP_HAS_ENEMY_TER_GROUP_FK1" FOREIGN KEY ("ID_GROUP")
	  REFERENCES "NEUMANN"."TER_GROUP" ("ID_GROUP") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table GROUP_HAS_WEAPON
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."GROUP_HAS_WEAPON" ADD CONSTRAINT "GROUP_HAS_WEAPON_TER_GROU_FK1" FOREIGN KEY ("ID_GROUP")
	  REFERENCES "NEUMANN"."TER_GROUP" ("ID_GROUP") ENABLE;
  ALTER TABLE "NEUMANN"."GROUP_HAS_WEAPON" ADD CONSTRAINT "GROUP_HAS_WEAPON_WEAPON_FK1" FOREIGN KEY ("ID_WEAPON")
	  REFERENCES "NEUMANN"."WEAPON" ("ID_WEAPON") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table PEOPLE_HAS_CELL
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."PEOPLE_HAS_CELL" ADD CONSTRAINT "PEOPLE_HAS_CELL_PEOPLE_FK" FOREIGN KEY ("ID_PEOPLE")
	  REFERENCES "NEUMANN"."PEOPLE" ("ID_PEOPLE") ENABLE;
  ALTER TABLE "NEUMANN"."PEOPLE_HAS_CELL" ADD CONSTRAINT "PEOPLE_HAS_CELL_TER_CELL_FK" FOREIGN KEY ("ID_CELL")
	  REFERENCES "NEUMANN"."TER_CELL" ("ID_CELL") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table PEOPLE_IDENTITY
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."PEOPLE_IDENTITY" ADD CONSTRAINT "PEOPLE_IDENTITY_COUNTRY_FK1" FOREIGN KEY ("ID_COUNTRY")
	  REFERENCES "NEUMANN"."COUNTRY" ("ID_COUNTRY") ENABLE;
  ALTER TABLE "NEUMANN"."PEOPLE_IDENTITY" ADD CONSTRAINT "PEOPLE_IDENTITY_PEOPLE_FK1" FOREIGN KEY ("ID_PEOPLE")
	  REFERENCES "NEUMANN"."PEOPLE" ("ID_PEOPLE") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table PHONE
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."PHONE" ADD CONSTRAINT "PHONE_COUNTRY_FK" FOREIGN KEY ("ID_COUNTRY")
	  REFERENCES "NEUMANN"."COUNTRY" ("ID_COUNTRY") ENABLE;
  ALTER TABLE "NEUMANN"."PHONE" ADD CONSTRAINT "PHONE_PEOPLE_IDENTITY_FK1" FOREIGN KEY ("ID_IDENTITY")
	  REFERENCES "NEUMANN"."PEOPLE_IDENTITY" ("ID_IDENTITY") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table RELIGION
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."RELIGION" ADD CONSTRAINT "RELIGION_RELIGION_GROUP_FK1" FOREIGN KEY ("ID_RELIGION_GROUP")
	  REFERENCES "NEUMANN"."RELIGION_GROUP" ("ID_RELIGION_GROUP") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table TARGET
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."TARGET" ADD CONSTRAINT "TARGET_TOWN_FK" FOREIGN KEY ("ID_TOWN")
	  REFERENCES "NEUMANN"."TOWN" ("ID_TOWN") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table TER_CELL
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."TER_CELL" ADD CONSTRAINT "TER_CELL_PEOPLE_FK" FOREIGN KEY ("ID_CELL")
	  REFERENCES "NEUMANN"."PEOPLE" ("ID_PEOPLE") ENABLE;
  ALTER TABLE "NEUMANN"."TER_CELL" ADD CONSTRAINT "TER_CELL_TER_GROUP_FK" FOREIGN KEY ("ID_GROUP")
	  REFERENCES "NEUMANN"."TER_GROUP" ("ID_GROUP") ENABLE;
  ALTER TABLE "NEUMANN"."TER_CELL" ADD CONSTRAINT "TER_CELL_TOWN_FK" FOREIGN KEY ("ID_TOWN")
	  REFERENCES "NEUMANN"."TOWN" ("ID_TOWN") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table TER_GROUP
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."TER_GROUP" ADD CONSTRAINT "TER_GROUP_COUNTRY_FK1" FOREIGN KEY ("ID_COUNTRY")
	  REFERENCES "NEUMANN"."COUNTRY" ("ID_COUNTRY") ENABLE;
  ALTER TABLE "NEUMANN"."TER_GROUP" ADD CONSTRAINT "TER_GROUP_PEOPLE_FK1" FOREIGN KEY ("ID_GROUP")
	  REFERENCES "NEUMANN"."PEOPLE" ("ID_PEOPLE") ENABLE;
  ALTER TABLE "NEUMANN"."TER_GROUP" ADD CONSTRAINT "TER_GROUP_RELIGION_FK1" FOREIGN KEY ("ID_RELIGION")
	  REFERENCES "NEUMANN"."RELIGION" ("ID_RELIGION") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table TOWN
--------------------------------------------------------

  ALTER TABLE "NEUMANN"."TOWN" ADD CONSTRAINT "COUNTRY_FK" FOREIGN KEY ("ID_COUNTRY")
	  REFERENCES "NEUMANN"."COUNTRY" ("ID_COUNTRY") ENABLE;
--------------------------------------------------------
--  DDL for Trigger ATTACK_SEQ_TR
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "NEUMANN"."ATTACK_SEQ_TR" 
 BEFORE INSERT ON attack FOR EACH ROW
  WHEN (NEW.id_attack IS NULL) BEGIN
 SELECT attack_seq.NEXTVAL INTO :NEW.id_attack FROM DUAL;
END;
/
ALTER TRIGGER "NEUMANN"."ATTACK_SEQ_TR" ENABLE;
--------------------------------------------------------
--  DDL for Trigger ATTACK_STATUS_SEQ_TR
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "NEUMANN"."ATTACK_STATUS_SEQ_TR" 
BEFORE INSERT ON ATTACK_STATUS 
FOR EACH ROW 
BEGIN
  SELECT attack_status_seq.NEXTVAL INTO :NEW.id_attack_status FROM DUAL;
END;
/
ALTER TRIGGER "NEUMANN"."ATTACK_STATUS_SEQ_TR" ENABLE;
--------------------------------------------------------
--  DDL for Trigger CELL_SEQ_TR
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "NEUMANN"."CELL_SEQ_TR" 
BEFORE INSERT ON TER_CELL 
FOR EACH ROW 
BEGIN
 SELECT cell_seq.NEXTVAL INTO :NEW.id_cell FROM DUAL;
END;
/
ALTER TRIGGER "NEUMANN"."CELL_SEQ_TR" ENABLE;
--------------------------------------------------------
--  DDL for Trigger COUNTRY_SEQ_TR
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "NEUMANN"."COUNTRY_SEQ_TR" 
 BEFORE INSERT ON country FOR EACH ROW
  WHEN (NEW.id_country IS NULL) BEGIN
 SELECT country_seq.NEXTVAL INTO :NEW.id_country FROM DUAL;
END;
/
ALTER TRIGGER "NEUMANN"."COUNTRY_SEQ_TR" ENABLE;
--------------------------------------------------------
--  DDL for Trigger GROUP_SEQ_TR
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "NEUMANN"."GROUP_SEQ_TR" 
 BEFORE INSERT ON ter_group FOR EACH ROW
 BEGIN
 SELECT group_seq.NEXTVAL INTO :NEW.id_group FROM DUAL;
END;
/
ALTER TRIGGER "NEUMANN"."GROUP_SEQ_TR" ENABLE;
--------------------------------------------------------
--  DDL for Trigger IDENTITY_SEQ_TR
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "NEUMANN"."IDENTITY_SEQ_TR" 
 BEFORE INSERT ON PEOPLE_IDENTITY FOR EACH ROW
 BEGIN
 SELECT identity_seq.NEXTVAL INTO :NEW.id_identity FROM DUAL;
END;
/
ALTER TRIGGER "NEUMANN"."IDENTITY_SEQ_TR" ENABLE;
--------------------------------------------------------
--  DDL for Trigger PEOPLE_SEQ_TR
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "NEUMANN"."PEOPLE_SEQ_TR" 
 BEFORE INSERT ON people FOR EACH ROW
BEGIN
 SELECT people_seq.NEXTVAL INTO :NEW.id_people FROM DUAL;
END;
/
ALTER TRIGGER "NEUMANN"."PEOPLE_SEQ_TR" ENABLE;
--------------------------------------------------------
--  DDL for Trigger RELIGION_GROUP_SEQ_TR
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "NEUMANN"."RELIGION_GROUP_SEQ_TR" 
 BEFORE INSERT ON religion_group FOR EACH ROW
  WHEN (NEW.id_religion_group IS NULL) BEGIN
 SELECT religion_group_seq.NEXTVAL INTO :NEW.id_religion_group FROM DUAL;
END;
/
ALTER TRIGGER "NEUMANN"."RELIGION_GROUP_SEQ_TR" ENABLE;
--------------------------------------------------------
--  DDL for Trigger RELIGION_SEQ_TR
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "NEUMANN"."RELIGION_SEQ_TR" 
 BEFORE INSERT ON religion FOR EACH ROW
 BEGIN
 SELECT religion_seq.NEXTVAL INTO :NEW.id_religion FROM DUAL;
END;
/
ALTER TRIGGER "NEUMANN"."RELIGION_SEQ_TR" ENABLE;
--------------------------------------------------------
--  DDL for Trigger TARGET_SEQ_TR
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "NEUMANN"."TARGET_SEQ_TR" 
 BEFORE INSERT ON target FOR EACH ROW
 BEGIN
 SELECT target_seq.NEXTVAL INTO :NEW.id_target FROM DUAL;
END;
/
ALTER TRIGGER "NEUMANN"."TARGET_SEQ_TR" ENABLE;
--------------------------------------------------------
--  DDL for Trigger TOWN_SEQ_TR
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "NEUMANN"."TOWN_SEQ_TR" 
BEFORE INSERT ON TOWN 
FOR EACH ROW 
BEGIN
  SELECT town_seq.NEXTVAL INTO :NEW.ID_TOWN FROM DUAL;
END;
/
ALTER TRIGGER "NEUMANN"."TOWN_SEQ_TR" ENABLE;
--------------------------------------------------------
--  DDL for Trigger TRBI_ATTACK_PEOPLE
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "NEUMANN"."TRBI_ATTACK_PEOPLE" 
BEFORE INSERT ON ATTACK_HAS_PEOPLE 
FOR EACH ROW 
DECLARE
  GROUP_ID NUMBER;
BEGIN
  GROUP_ID := GET_GROUP_FROM_PEOPLE(:new.id_people);
  IF HAS_ATTACK_GROUP(:new.id_attack, GROUP_ID) = 0 THEN
    dbms_output.put_line('attack: '||:new.id_attack ||' ,group: '|| GROUP_ID);
    INSERT INTO attack_has_group VALUES (:new.id_attack, GROUP_ID);
    dbms_output.put_line('INSERTED');
    --ADD_ATTACK_GROUP(:new.id_attack, GROUP_ID);
  END IF;
END;
/
ALTER TRIGGER "NEUMANN"."TRBI_ATTACK_PEOPLE" ENABLE;
--------------------------------------------------------
--  DDL for Trigger TRBIU_COOPERATION
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "NEUMANN"."TRBIU_COOPERATION" 
BEFORE INSERT OR UPDATE ON COOPERATION
FOR EACH ROW
DECLARE
  result_id_group number;
  CURSOR  radek IS
   SELECT group1 INTO result_id_group FROM COOPERATION  WHERE group2 = :new.group1;
BEGIN
  IF :new.group1 = :new.group2 THEN 
    raise_application_error(-20001, 'Skupina nemuze spolupracovat sama se sebou!');
  END IF;
  OPEN radek;
  LOOP
    FETCH radek INTO result_id_group;
    EXIT WHEN radek%NOTFOUND;
    IF result_id_group = :new.group2 THEN 
      raise_application_error(-20002, 'Zaznam jiz existuje!');
    END IF;
  END LOOP;
  CLOSE radek;
END TRBIU_COOPERATION;
/
ALTER TRIGGER "NEUMANN"."TRBIU_COOPERATION" ENABLE;
--------------------------------------------------------
--  DDL for Trigger TRBIU_IDENTITY_NAME
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "NEUMANN"."TRBIU_IDENTITY_NAME" 
BEFORE INSERT OR UPDATE ON PEOPLE_IDENTITY 
FOR EACH ROW 
BEGIN
  --kontrola jesli je jmeno nebo prijmeni vyplneno
  IF :new.firstname IS NULL AND :new.surname IS NULL THEN
    raise_application_error(-20003, 'Jmeno nebo prijmeni musi byt vypleno!');
  END IF;
END;
/
ALTER TRIGGER "NEUMANN"."TRBIU_IDENTITY_NAME" ENABLE;
--------------------------------------------------------
--  DDL for Trigger WEAPON_SEQ_TR
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "NEUMANN"."WEAPON_SEQ_TR" 
 BEFORE INSERT ON weapon FOR EACH ROW
  WHEN (NEW.id_weapon IS NULL) BEGIN
 SELECT weapon_seq.NEXTVAL INTO :NEW.id_weapon FROM DUAL;
END;
/
ALTER TRIGGER "NEUMANN"."WEAPON_SEQ_TR" ENABLE;
--------------------------------------------------------
--  DDL for Function  GET_GROUP_FROM_PEOPLE 
--------------------------------------------------------

  CREATE OR REPLACE FUNCTION "NEUMANN"." GET_GROUP_FROM_PEOPLE " 
(
  PEOPLE_ID IN NUMBER  
) RETURN NUMBER AS 
  GROUP_ID NUMBER;
BEGIN
  SELECT C.ID_GROUP INTO GROUP_ID FROM PEOPLE_HAS_CELL PC LEFT JOIN TER_CELL C ON PC.ID_CELL=C.ID_CELL WHERE ROWNUM <= 1;
  RETURN GROUP_ID;
END " GET_GROUP_FROM_PEOPLE ";

/
--------------------------------------------------------
--  DDL for Function GET_GROUP_FROM_PEOPLE
--------------------------------------------------------

  CREATE OR REPLACE FUNCTION "NEUMANN"."GET_GROUP_FROM_PEOPLE" 
(
  PEOPLE_ID IN NUMBER  
) RETURN NUMBER AS 
  GROUP_ID NUMBER;
BEGIN
  SELECT C.ID_GROUP INTO GROUP_ID FROM PEOPLE_HAS_CELL PC LEFT JOIN TER_CELL C ON PC.ID_CELL=C.ID_CELL WHERE pc.id_people = PEOPLE_ID AND ROWNUM <= 1;
  RETURN GROUP_ID;
END GET_GROUP_FROM_PEOPLE;

/
--------------------------------------------------------
--  DDL for Function HAS_ATTACK_GROUP
--------------------------------------------------------

  CREATE OR REPLACE FUNCTION "NEUMANN"."HAS_ATTACK_GROUP" 
(
  ATTACK_ID IN NUMBER
, GROUP_ID IN NUMBER
) RETURN NUMBER AS 
  GROUP_EXIST NUMBER;
BEGIN
  SELECT COUNT(DISTINCT id_attack) INTO GROUP_EXIST FROM ATTACK_HAS_GROUP WHERE id_attack=ATTACK_ID AND id_group=GROUP_ID;
  RETURN GROUP_EXIST;
END HAS_ATTACK_GROUP;

/
--------------------------------------------------------
--  DDL for Function HAS_GROUP_WEAPON
--------------------------------------------------------

  CREATE OR REPLACE FUNCTION "NEUMANN"."HAS_GROUP_WEAPON" 
(
  WEAPON_ID IN NUMBER  
, GROUP_ID IN NUMBER  
) RETURN NUMBER AS 
  result_id_weapon number;
  CURSOR  radek IS
    SELECT id_weapon INTO result_id_weapon FROM GROUP_HAS_WEAPON WHERE ID_GROUP = GROUP_ID;
BEGIN
  OPEN radek;
  LOOP
    FETCH radek INTO result_id_weapon;
    EXIT WHEN radek%NOTFOUND;
    IF result_id_weapon = WEAPON_ID THEN 
      RETURN 0;
    END IF;
  END LOOP;
  CLOSE radek;
  RETURN 1;
END HAS_GROUP_WEAPON;

/
--------------------------------------------------------
--  DDL for Procedure ADD_ATTACK_GROUP
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "NEUMANN"."ADD_ATTACK_GROUP" 
(
  ATTACK_ID IN NUMBER  
, GROUP_ID IN NUMBER  
) AS 
  grp_exist number;
BEGIN
  SELECT count(*) INTO grp_exist FROM attack_has_group WHERE id_attack=ATTACK_ID AND id_group=GROUP_ID;
  dbms_output.put_line(ATTACK_ID ||' '|| GROUP_ID || ' Group attack exist: '||grp_exist);
  IF grp_exist = 0 THEN
    INSERT INTO attack_has_group VALUES (ATTACK_ID, GROUP_ID);
    dbms_output.put_line('Skupina pridana k utoku');
  ELSE
    dbms_output.put_line('Skupina je k utoku jiz prirazena');
  END IF;
END ADD_ATTACK_GROUP;

/
--------------------------------------------------------
--  DDL for Procedure ADD_ATTACK_GROUP_WEAPON
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "NEUMANN"."ADD_ATTACK_GROUP_WEAPON" 
(
  ATTACK_ID IN NUMBER  
, GROUP_ID IN NUMBER  
, WEAPON_ID IN NUMBER  
) AS 
BEGIN
  dbms_output.put_line('Attack: '||ATTACK_ID||', group: '||GROUP_ID||', weapon:'||WEAPON_ID);
  INSERT INTO attack_has_group VALUES (ATTACK_ID, GROUP_ID);
  INSERT INTO attack_has_weapon VALUES (ATTACK_ID, WEAPON_ID);
  IF has_group_weapon(GROUP_ID, WEAPON_ID) = 0 THEN
    add_weapon_group(GROUP_ID, WEAPON_ID);
    --dbms_output.put_line('Add weapon to group');
  END IF;  
END ADD_ATTACK_GROUP_WEAPON;

/
--------------------------------------------------------
--  DDL for Procedure ADD_ATTACK_IDENTITY_WEAPON
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "NEUMANN"."ADD_ATTACK_IDENTITY_WEAPON" 
(
  ATTACK_ID IN NUMBER  
, IDENTITY_ID IN NUMBER  
, WEAPON_ID IN NUMBER  
) AS 
  PEOPLE_ID NUMBER;
BEGIN
  
  SELECT PI.ID_PEOPLE INTO PEOPLE_ID FROM PEOPLE_IDENTITY PI WHERE PI.ID_IDENTITY=IDENTITY_ID AND ROWNUM <= 1;
  add_attack_people_weapon(ATTACK_ID, PEOPLE_ID, WEAPON_ID);
END ADD_ATTACK_IDENTITY_WEAPON;

/
--------------------------------------------------------
--  DDL for Procedure ADD_ATTACK_PEOPLE_WEAPON
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "NEUMANN"."ADD_ATTACK_PEOPLE_WEAPON" 
(
  ATTACK_ID IN NUMBER,
  PEOPLE_ID IN NUMBER, 
  WEAPON_ID IN NUMBER  
) AS 
  GROUP_ID NUMBER;
BEGIN
  --SELECT C.ID_GROUP INTO GROUP_ID FROM PEOPLE_HAS_CELL PC LEFT JOIN TER_CELL C ON PC.ID_CELL=C.ID_CELL WHERE ROWNUM <= 1;
  GROUP_ID := GET_GROUP_FROM_PEOPLE(PEOPLE_ID);
  dbms_output.put_line('attack: '||ATTACK_ID||', people: '||PEOPLE_ID);
  INSERT INTO attack_has_people VALUES (ATTACK_ID, PEOPLE_ID);
  dbms_output.put_line('OK');
  add_attack_group_weapon(ATTACK_ID, GROUP_ID, WEAPON_ID);
END ADD_ATTACK_PEOPLE_WEAPON;

/
--------------------------------------------------------
--  DDL for Procedure ADD_PEOPLE
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "NEUMANN"."ADD_PEOPLE" 
(
  PERSON_HIGH IN NUMBER  
, EYES_COLOR IN VARCHAR2  
, FIRSTNAME IN VARCHAR2  
, SURNAME IN VARCHAR2  
, COUNTRY_ID IN NUMBER  
, DESCRIPTION IN VARCHAR2  
, IS_PRIME IN CHAR  
) AS 
  new_id_people NUMBER;
BEGIN
  BEGIN
    INSERT INTO people ("HIGH",EYES_COLOR) VALUES (PERSON_HIGH, EYES_COLOR);
    SELECT people_seq.CURRVAL INTO new_id_people FROM DUAL;
  END;
  BEGIN
  INSERT INTO people_identity (ID_PEOPLE,FIRSTNAME,SURNAME,ID_COUNTRY,DESCRIPTION,PRIME) 
    VALUES (new_id_people, FIRSTNAME, SURNAME, COUNTRY_ID, DESCRIPTION, IS_PRIME);
  END;
END ADD_PEOPLE;

/
--------------------------------------------------------
--  DDL for Procedure ADD_WEAPON_GROUP
--------------------------------------------------------
set define off;

  CREATE OR REPLACE PROCEDURE "NEUMANN"."ADD_WEAPON_GROUP" 
(
  WEAPON_ID IN NUMBER  
, GROUP_ID IN NUMBER  
) AS 
BEGIN
  INSERT INTO group_has_weapon VALUES (GROUP_ID, WEAPON_ID, 1);
END ADD_WEAPON_GROUP;

/
